//
//  ActionOpenPanelModel.swift
//  MVMCore
//
//  Created by Khan, Arshad on 12/02/20.
//  Copyright © 2020 myverizon. All rights reserved.
//

import Foundation

public class ActionOpenPanelModel: ActionModelProtocol {

    public enum Panel: String, Codable {
        case left
        case right
        case support // Legacy, means left
        case menu // Legacy, means right.
    }
    
    public static var identifier: String = "openPanel"
    public var actionType: String = ActionOpenPanelModel.identifier
    public var panel: Panel
    public var extraParameters: JSONValueDictionary?
    public var analyticsData: JSONValueDictionary?
    
    public init(panel: Panel, _ extraParameters: JSONValueDictionary? = nil, _ analyticsData: JSONValueDictionary? = nil) {
        self.panel = panel
        self.extraParameters = extraParameters
        self.analyticsData = analyticsData
    }
}
